#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "gaming-core/wrapper/VertexBuffer.h"
#include "gaming-core/rendering/FileTexture.h"
#include "utils/Array.h"

class FontRenderer final {
    VertexBuffer vertexBuffer;
    FileTexture tex1;
    FileTexture tex2;
    FileTexture tex3;
    FileTexture* activeTex;
    int scale;

public:
    FontRenderer();
    float drawString(float x, float y, const char* text);
    void setSize(int size);
};

#endif